Subject: Re: [bug#50084] [PATCH v3] gnu: waypipe: Clean up phases and dependencies.

From: Maxime Devos <[email-masked]>
Date: Thu, 19 Aug 2021 23:13:32 +0200

Robby Zambito schreef op do 19-08-2021 om 15:58 [-0400]:
> Hi Maxime,
> 
> Thank you for the insight. 
> 
> > > I cross compiled the package for armhf-linux and aarch64-linux and it
> > > built and tested fine with the changes you suggested, but I also did the
> > 
> > Are you sure it tested?  Unless qemu transparent emulation is enabled
> > (see ‘Transparent Emulation with QEMU’ in the manual) that cannot happen.
> 
> I just ran it again to be sure, and yes. I did set up QEMU for building
> on other architectures. I suppose this means QEMU is being used for the
> 'native-inputs', which is a little confusing but I guess it makes sense
> :D

It is impossible to cross-compile waypipe on master, because
meson-build-system does not support cross-compilation (on master).

# replace 'glib' with 'waypipe'
$ LC_ALL=C guix build glib --target=arm-linux-gnueabihf
guix build: error: gnu/packages/glib.scm:425:2: [email-masked]: build system `meson' does not support cross builds

What branch are you on?

Also, what arguments did you pass to "guix build"?
You need --target=arm-linux-gnueabihf for cross-compilation,
not --system=armhf-linux.  The latter is for offloading to an armhf
machine or a QEMU emulated build.

Greetings,
Maxime.